Snow Leopard to Support iCloud with 10.6.9 Update

Apple will be releasing a .1 update to OS X Snow Leopard to enable contact, calendar, and bookmark syncing through iCloud for those of you who aren’t quite ready to update to Lion. iCloud will eventually be replacing MobileMe as the syncing tool of choice, but will require iOS 5 and Lion for full support. There is no ETA on OS X 10.6.9, but expect it until we get closer to an official iCloud/iOS 5 release this Fall.


Post a response / What do you think?